﻿/* 
	FILE : CZ_SiteMenu 
	Description : Master CSS for ParentZone
	Created By (Leidos) : Katie Milne
	Last Modified : 30/11/2016
	Version : 0.1
*/


/* Top Nav Bar */

#CZ-TopNavBar img {
    height: 17px;
    width: 9px;
}


/*.nav>li>a>img {
	height:17px;
	width:9px;
}*/

.nav>li>a>img {
    height: 17px;
    /*width:9px;*/
    /*width:15px;*/
}


/* ---------- Menu - General ---------- */


/* Remove default list formatting */

div[id$="TopNavigationMenu"]>ul {
    list-style: none;
    padding: 0px;
    margin: 0;
    width: 100%;
}


/* ---------- Menu - Level 1 ---------- */


/* List item container */

div[id$="TopNavigationMenu"]>ul>li {
    float: left;
    width: auto;
    /* Required for the float property - Can optionally set a fixed width here */
    border-right: 1px solid #ADACA2;
    position: static;
    padding: 1%;
}

#CZ_MainNavigation>ul>li>a {
    width: 100%;
}


/* List item container hover effect */

div[id$="TopNavigationMenu"]>ul>li:hover {
    background: #5EC5C9;
}


/* List item text */

div[id$="TopNavigationMenu"]>ul>li>a,
div[id$="TopNavigationMenu"]>ul>li>a:link,

/* 

/* Top Nav Bar */

#CZ-TopNavBar img {
    height: 17px;
    width: 9px;
}

.nav>li>a>img {
    height: 17px;
    /*width:9px;*/
    /*width:15px;*/
}


/* ---------- Menu - General ---------- */


/* Remove default list formatting */

div[id$="TopNavigationMenu"]>ul {
    list-style: none;
    padding: 0px;
    margin: 0;
    width: 100%;
}


/* ---------- Menu - Level 1 ---------- */


/* List item container */

div[id$="TopNavigationMenu"]>ul>li {
    float: left;
    width: auto;
    /* Required for the float property - Can optionally set a fixed width here */
    border-right: 1px solid #ADACA2;
    position: static;
}


/* List item container hover effect */

div[id$="TopNavigationMenu"]>ul>li:hover {
    background: #5EC5C9;
}


/* List item text */

div[id$="TopNavigationMenu"]>ul>li>a,
div[id$="TopNavigationMenu"]>ul>li>a:link,
div[id$="TopNavigationMenu"]>ul>li>a:visited {
    color: white;
    font-size: x-large;
}


/* ---------- Menu - Level 2 ---------- */


/* List container */

div[id$="TopNavigationMenu"]>ul>li>ul {
    position: absolute;
    left: -9999px;
    /* Hides the content */
    background-color: #15aab3;
    border-top: 0;
    margin-top: 35px;
    z-index: 4;
    width: 100%;
    top: 0px;
    color: white;
}


/* List item container */

div[id$="TopNavigationMenu"]>ul>li>ul>li {
    /* padding: 10px 8px; */
    display: block;
    width: 27.5%;
    /*border-bottom:thin solid #95C6FE;*/
    border-top: thin solid #95C6FE;
}

div[id$="TopNavigationMenu"]>ul>li>ul>li>a {
    color: white;
}


/* List item container hover effect */

div[id$="TopNavigationMenu"]>ul>li>ul>li:hover {
    background: #5EC5C9;
}


/* Show 2nd level lists when parent item is hovered */

div[id$="TopNavigationMenu"]>ul>li:hover>ul {
    left: 0;
    top: auto;
}

#CZ_MainNavigation li.ms-navedit-editArea {
    display: none
}

.navbar {
    position: relative;
}


/* Mega Menu */

#CZ-popup {
    background-color: #15AAB3;
    min-height: 10px;
    display: none;
    /*margin-left:150px;*/
    z-index: 999;
    position: absolute;
    left: 0;
    /* Hides the content */
    width: 100%;
    color: white;
}

.CZ_MegaMenu .nav,
.CZ_MegaMenu .collapse,
.CZ_MegaMenu .dropup,
.CZ_MegaMenu .dropdown {
    position: static;
}

.CZ_MegaMenu .container-fluid {
    position: relative;
}

.CZ_MegaMenu .dropdown-menu {
    left: auto;
}

.CZ_MegaMenu .CZ_MegaMenu-content {
    padding: 20px 30px;
}

.CZ_MegaMenu .dropdown.CZ_MegaMenu-fw .dropdown-menu {
    left: 0;
    right: 0;
}

.col-sm-9 {
    min-height: 226px;
}

#CZ-Popup-Content {
    text-align: left;
    z-index: 3;
}


/*common*/


/*#PZ-Hidden{
	display:none;
}

*/

div[id$="TopNavigationMenu"] {
    padding: 0;
    /*height:auto;*/
    display: block;
    line-height: 0;
    ;
    background-color: #15AAB3;
    color: white;
    font-weight: bold;
}

div[id$="RootAspMenu"] li span span a {
    margin: 0;
    padding: 0;
}

.noindex {
    margin: 0;
    padding: 0;
}

.ms-core-listMenu-horizontalBox,
.root,
.ms-core-listMenu-root,
.static {
    margin: 0;
    padding: 0;
}

div[id$="TopNavigationMenu"]>ul>li>a:visited {
    color: white;
    font-size: x-large;
}


/* ---------- Menu - Level 2 ---------- */


/* List container */

div[id$="TopNavigationMenu"]>ul>li>ul {
    position: absolute;
    left: -9999px;
    /* Hides the content */
    background-color: #15aab3;
    border-top: 0;
    z-index: 999;
    width: 100%;
    top: 0px;
    color: white;
    /* mclark changes 05/12/16 */
    /*margin-top: 1%;*/
    margin-top: 34px;
    /*padding-top:37px;*/
}


/* List item container */

div[id$="TopNavigationMenu"]>ul>li>ul>li {
    /* padding: 10px 8px; */
    display: block;
    width: 27.5%;
    /*border-bottom:thin solid #95C6FE;*/
}


/* List item container */

div[id$="TopNavigationMenu"]>ul>li>ul>li:last-child {
    /* padding: 10px 8px; */
    display: block;
    width: 27.5%;
    border-bottom: none;
}

div[id$="TopNavigationMenu"]>ul>li>ul>li>a {
    color: white;
}


/* List item container hover effect */

div[id$="TopNavigationMenu"]>ul>li>ul>li:hover {
    background: #5EC5C9;
}


/* Show 2nd level lists when parent item is hovered */

div[id$="TopNavigationMenu"]>ul>li:hover>ul {
    left: 0;
    top: auto;
}

#CZ_MainNavigation li.ms-navedit-editArea {
    display: none
}

.navbar {
    position: relative;
}


/* Mega Menu */

#CZ-popup {
    /*background-color:#0082C8;
	min-height: 10px;
	
	
	
	position: absolute;
	left: 0; 
	width: 100%;
	color:white;*/
    z-index: 4;
    display: none;
}

.CZ_MegaMenu .nav,
.CZ_MegaMenu .collapse,
.CZ_MegaMenu .dropup,
.CZ_MegaMenu .dropdown {
    position: static;
}

.CZ_MegaMenu .container-fluid {
    position: relative;
}

.CZ_MegaMenu .dropdown-menu {
    left: auto;
}

.CZ_MegaMenu .CZ_MegaMenu-content {
    padding: 20px 30px;
}

.CZ_MegaMenu .dropdown.CZ_MegaMenu-fw .dropdown-menu {
    left: 0;
    right: 0;
}

.col-sm-9 {
    min-height: 226px;
}

#CZ-Popup-Content {
    text-align: left;
    z-index: 4;
}


/*common*/


/*#PZ-Hidden{
	display:none;
}

*/

div[id$="TopNavigationMenu"] {
    padding: 0;
    /*height:auto;*/
    display: block;
    line-height: 0;
    ;
    background-color: #16AAB4;
    color: white;
    font-weight: bold;
}

div[id$="RootAspMenu"] li span span a {
    margin: 0;
    padding: 0;
}

.noindex {
    margin: 0;
    padding: 0;
}

.ms-core-listMenu-horizontalBox,
.root,
.ms-core-listMenu-root,
.static {
    margin: 0;
    padding: 0;
}

#CZ_MainNavigation a {
    width: 100%;
}

.navbar {
    min-height: 10px;
}

.container-fluid {
    padding-left: 0px;
    padding-right: 0px;
}